## libwildlifesystems 1.0.0

=== debian/changelog ===
libwildlifesystems (1.0.0) stable; urgency=medium

  * Initial release

 -- Ed Baker <edwbaker@gmail.com>  Sun, 25 Jan 2026 12:00:00 +0000
