=== debian/control ===
Source: libwildlifesystems
Section: libs
Priority: optional
Maintainer: Wildlife Systems <info@wildlifesystems.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/wildlifesystems/libwildlifesystems

Package: libwildlifesystems-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: WildlifeSystems shared sensor utilities - development files
 Static library and headers providing common functionality for
 WildlifeSystems sensor drivers.
