=== debian/changelog ===
libwildlifesystems (1.1.1) stable; urgency=medium

  * Fix timestamp output as integer instead of string

 -- Ed Baker <edwbaker@gmail.com>  Tue, 27 Jan 2026 14:00:00 +0000
